/*:
 * @plugindesc タイトル画面オートロード
 * @author kasimu
 *
 * @help セーブ1番自動ロード
 */

(function() {
    //_Scene_Title_prototype_start をスタートのエイリアスとして使用。
    var _Scene_Title_prototype_start = Scene_Title.prototype.start;

    //まずは設定した処理を終わらせる
Scene_Title.prototype.start = function() {
    _Scene_Title_prototype_start.call(this);
    //セーブデータ1を強制ロード
    if (DataManager.loadGame(1)) {
        this.onLoadSuccess();
    } else {
		console.log("load failure");
    }
};
    //Scene_Load.prototype.firstSavefileIndexクラスからコピペ
Scene_Title.prototype.firstSavefileIndex = function() {
    return DataManager.latestSavefileId() - 1;
};
    //Scene_Load.prototype.onSavefileOkクラスからコピペ
Scene_Title.prototype.onSavefileOk = function() {
    Scene_File.prototype.onSavefileOk.call(this);
    if (DataManager.loadGame(this.savefileId())) {
        this.onLoadSuccess();
        console.log("plugin!")
    } else {
        this.onLoadFailure();
    }
};

    //Scene_Load.prototype.onLoadSuccessクラスからコピペ
Scene_Title.prototype.onLoadSuccess = function() {
    SoundManager.playLoad();
    this.fadeOutAll();
    this.reloadMapIfUpdated();
    SceneManager.goto(Scene_Map);
    this._loadSuccess = true;
};
    //シーンロードをタイトル書き換え
Scene_Title.prototype.reloadMapIfUpdated = function() {
    if ($gameSystem.versionId() !== $dataSystem.versionId) {
        $gamePlayer.reserveTransfer($gameMap.mapId(), $gamePlayer.x, $gamePlayer.y);
        $gamePlayer.requestMapReload();
    }
};

})();



